import type { JwkJson } from './Jwk';
import type { Buffer } from '../../../utils';
import { KeyType } from '../../KeyType';
import { JwaCurve, JwaKeyType } from '../jwa';
import { JwaSignatureAlgorithm } from '../jwa/alg';
import { Jwk } from './Jwk';
export declare class Ed25519Jwk extends Jwk {
    readonly x: string;
    constructor({ x }: {
        x: string;
    });
    get kty(): JwaKeyType.OKP;
    get crv(): JwaCurve.Ed25519;
    get keyType(): KeyType;
    get publicKey(): Buffer;
    get supportedEncryptionAlgorithms(): never[];
    get supportedSignatureAlgorithms(): JwaSignatureAlgorithm[];
    toJson(): Ed25519JwkJson;
    static fromJson(jwkJson: JwkJson): Ed25519Jwk;
    static fromPublicKey(publicKey: Buffer): Ed25519Jwk;
}
export interface Ed25519JwkJson extends JwkJson {
    kty: JwaKeyType.OKP;
    crv: JwaCurve.Ed25519;
    x: string;
    use?: 'sig';
}
