import type { JwkJson } from './Jwk';
import type { Buffer } from '../../../utils';
import { KeyType } from '../../KeyType';
import { JwaCurve, JwaKeyType, JwaEncryptionAlgorithm } from '../jwa';
import { Jwk } from './Jwk';
export declare class X25519Jwk extends Jwk {
    readonly x: string;
    constructor({ x }: {
        x: string;
    });
    get kty(): JwaKeyType.OKP;
    get crv(): JwaCurve.X25519;
    get keyType(): KeyType;
    get publicKey(): Buffer;
    get supportedEncryptionAlgorithms(): JwaEncryptionAlgorithm[];
    get supportedSignatureAlgorithms(): never[];
    toJson(): X25519JwkJson;
    static fromJson(jwk: JwkJson): X25519Jwk;
    static fromPublicKey(publicKey: Buffer): X25519Jwk;
}
export interface X25519JwkJson extends JwkJson {
    kty: JwaKeyType.OKP;
    crv: JwaCurve.X25519;
    x: string;
    use?: 'enc';
}
