import type { VerificationMethod } from './VerificationMethod';
import type { Key } from '../../../../crypto/Key';
import type { JwkJson } from '../../../../crypto/jose/jwk/Jwk';
export declare const VERIFICATION_METHOD_TYPE_JSON_WEB_KEY_2020 = "JsonWebKey2020";
type JwkOrKey = {
    jwk: JwkJson;
    key?: never;
} | {
    key: Key;
    jwk?: never;
};
type GetJsonWebKey2020VerificationMethodOptions = {
    did: string;
    verificationMethodId?: string;
} & JwkOrKey;
export declare function getJsonWebKey2020VerificationMethod({ did, key, jwk, verificationMethodId, }: GetJsonWebKey2020VerificationMethodOptions): {
    id: string;
    type: string;
    controller: string;
    publicKeyJwk: JwkJson;
};
export declare function isJsonWebKey2020(verificationMethod: VerificationMethod): boolean;
export {};
